<?php
/*
 * description：
 * author：wh
 * email：
 * createTime：{2024/7/1} {20:49} 
 */

namespace app\api\controller;


use app\common\model\TabConf;
use think\Db;
use wanghua\general_utility_tools_php\Mmodel;
use wanghua\general_utility_tools_php\tool\Tools;

class Usereliminate extends BaseHttpApi
{

    /**
     * 增加消消乐道具奖励数量
     *
     * @param string $openid 用户id
     * @param string prop_n 修改哪一个道具
     * @param string $num 数量 默认1
     *
     * api/usereliminate/add
     * author：wh
     */
    function add(){
        return Mmodel::catchJson(function (){
            $openid = input('openid');
            $prop_n = input('prop_n');
            $num = input('num',1);
            if(empty($openid)){
                return Tools::set_fail('缺少参数');
            }
            if(empty($prop_n)){
                return Tools::set_fail('缺少参数.');
            }
            if(empty($num)){
                return Tools::set_fail('缺少参数...');
            }
            $um = Db::table(TabConf::$fa_usereliminate)
                ->where('openid',$openid)
                ->find();
            if($um){
                Db::table(TabConf::$fa_usereliminate)
                    ->where('openid',$openid)
                    ->setInc($prop_n,$num);
            }else{
                Db::table(TabConf::$fa_usereliminate)
                    ->data([
                        'openid'=>$openid,
                        "$prop_n"=>$num
                    ])
                    ->insert();
            }


            return Tools::set_ok();
        });
    }

    /**
     * 减少消消乐道具奖励数量
     *
     * @param string $openid 用户id
     * @param string prop_n 修改哪一个道具
     * @param string $num 数量 默认1
     *
     * api/usereliminate/cut
     * author：wh
     */
    function cut(){
        return Mmodel::catchJson(function (){
            $openid = input('openid');
            $prop_n = input('prop_n');
            $num = input('num');//减少的数量
            if(empty($openid)){
                return Tools::set_fail('缺少参数');
            }
            if(empty($prop_n)){
                return Tools::set_fail('缺少参数.');
            }
            if(empty($num)){
                return Tools::set_fail('缺少参数...');
            }

            Db::table(TabConf::$fa_usereliminate)
                ->where('openid',$openid)
                ->where($prop_n,'>',0)
                ->setDec($prop_n,$num);

            return Tools::set_ok();
        });
    }
}